# BEGIN SourceDeps(oneline):
BuildRequires: perl(AutoLoader.pm) perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(LWP/UserAgent.pm) perl(Test/More.pm) perl(URI/Escape.pm) perl(XML/Simple.pm)
# END SourceDeps(oneline)
%define module_version 0.01
%define module_name Bayonne-Server
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.01
Release: alt1
Summary: Perl extension for invoking Bayonne 2 webservices
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/D/DY/DYFET/%module_name-%module_version.tar.gz
BuildArch: noarch

%description
This module is used to create an instance of the Bayonne::Server.  .  Each instance is used to connect to one running instance of Bayonne
  through it's integrated http based web service.  You can create
  multiple instances of this object, each connecting to a different
  server, if you so desire.  The default hostid to use is 
  "localhost:8055" if you are not connecting to a remote machine.  The
  methods can then be used to invoke specific webservice methods.


%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes
%perl_vendor_privlib/B*
%perl_vendor_privlib/auto/*
%changelog
* Mon Oct 07 2013 Igor Vlasenko <viy@altlinux.ru> 0.01-alt1
- initial import by package builder

